<template>
  <section
    class="flex flex-col justify-center items-stretch py-16 bg-gray-600 text-base sm:py-10 lg:flex-row lg:flex-row-reverse lg:justify-between"
    style="padding-left: var(--footer-px); padding-right: var(--footer-px)"
  >
    <div class="flex-1 flex flex-col items-center lg:items-end">
      <footer-grouped-links-area :items="groupedLinks" />
    </div>
    <div
      class="flex-none flex flex-col items-center mt-6 lg:justify-between lg:mt-0"
    >
      <footer-links-area :items="links" />
      <footer-social-area class="mt-6" :items="socialData" />
    </div>
    <div
      class="flex-1 flex flex-col items-center mt-6 lg:items-start lg:justify-between lg:mt-0"
    >
      <footer-contact-area :items="contactData" />
      <footer-brand-logo-area class="-mx-1 mt-6" v-bind="altLogo" />
    </div>
  </section>
</template>

<script>
import FooterContactArea from './FooterContactArea';
import FooterBrandLogoArea from './FooterBrandLogoArea';
import FooterLinksArea from './FooterLinksArea';
import FooterSocialArea from './FooterSocialArea';
import FooterGroupedLinksArea from './FooterGroupedLinksArea';

export default {
  name: 'FooterNavigation',
  components: {
    FooterContactArea,
    FooterBrandLogoArea,
    FooterLinksArea,
    FooterSocialArea,
    FooterGroupedLinksArea,
  },
  inject: ['site'],
  computed: {
    altLogo() {
      const { image, description } = this.site.logos.secondary;

      return {
        image: require(`!!assets-loader!../../../static${image}`),
        description,
      };
    },
    contactData() {
      const { contact } = this.site.settings;

      return Object.keys(contact).map(key => ({
        id: key,
        value: contact[key],
      }));
    },
    socialData() {
      const { social } = this.site.settings;

      return Object.keys(social).map(key => ({
        id: key,
        url: social[key],
      }));
    },
    links() {
      const { footer_links } = this.site.navigation;

      return footer_links.items.map(this.navItem);
    },
    groupedLinks() {
      const { footer_links } = this.site.navigation;

      return footer_links.groups.map(group => ({
        label: group.label,
        items: group.items.map(this.navItem),
      }));
    },
  },
  methods: {
    navItem(item) {
      return {
        id: item.id,
        label: item.label,
        path: this.site.routes[item.id],
      };
    },
  },
};
</script>
